Subject: Re: bug#7466: 24.0.50; (emacs) `Menu Mouse Clicks' conflicts with code obsolescence

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Sep 2021 13:44:28 -0700

"Drew Adams" <[email-masked]> writes:

> The footnote on this manual page tells you how to put the mouse-3 menu
> on mouse-3 instead of on C-mouse-3 (the default).  It tells you to bind
> `mouse-popup-menubar-stuff'.
>
> But in mouse.el, that function (as well as the other mouse-3 menu
> functions) has been declared obsolete since 23.1.
>
> There is no comment in the code indicating what now replaces these
> functions - what to use instead.  And I find nothing in NEWS or NEWS.23
> (or NEWS.22) about "mouse-3" or "popup".  Grepping the Lisp sources
> didn't help either.
>
> How are users supposed to know how to code this, now that these
> functions are obsolete?  What is the right way to do it now?  Where in
> the Lisp code is C-mouse-3 doted with menus (e.g. the major-mode
> menubar menu)?

This text is no longer there in the manual, presumably it has been
updated in the 12 years since this was reported.  I'm therefore closing
this bug report.